Subject: Re: [PATCH v3 0/5] Encode submodule gitdir names to avoid conflicts

From: Junio C Hamano <[email-masked]>
Date: Mon, 06 Oct 2025 09:21:17 -0700

Adrian Ratiu <[email-masked]> writes:

> Hello everyone,
>
> v3 is much simplified from v2, starting from the design idea that submodule gitdir
> name encoding is to be put behind an extensions.submoduleEncoding.

This design decision to make it an extension makes a repository with
a new-style submodule incompatible with older Git, which may not matter
all that much unless you use third-party tools that come with their own
version of Git embedded (which by definition can become stale).

If you already have submodules creted under the original scheme,
then add a new submodule that needs this extension, do you enable
this new extension and write the new submodule under encoded name,
and move the existing submodules under their encoded names?

> This allowed removal of the modules vs submodules directories split and simplified
> our logic quite a lot. Tests have been been squashed in the smaller commits as well.

By this statement, I am guessing that the answer is yes?  That
would make it consistent.  The last thing we want here is the code
that needs to guess which ones are encoded and which ones are not.

Thanks.